<template>
  <div
    class="menu"
    :class="{
      ['menu--is-vertical']: isVertical
    }"
  >
    <ul
      class="menu__list"
    >
      <li
        v-for="item in items"
        :key="item.key"
        class="menu__item"
        :class="{
          [`menu__item--no-link`]: item.noLink
        }"
      >
        <slot
          :name="item.key"
          :item="item"
        >
          <nuxt-link
            v-if="item.route"
            :to="item.route"
            class="menu__link"
            active-class="menu__link--active"
          >
            <slot :name="`${item.key}-content`">
              <span class="menu__item-label">
                {{ item.label }}
              </span>
            </slot>
          </nuxt-link>
        </slot>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'Menu',
  props: {
    isVertical: Boolean,
    items: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style lang="scss">
  @import "./menu";
</style>
